Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebra a

1. Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebra a

Luck
LckLinux

(usa Debian)

Enviado em 23/10/2019 - 21:15h

Boa noite a todos.
Estou aqui tentando achar uma solução para isso aqui que ocorreu. Fui atualizar o Arch Linux ( pacman -Syyu) como faço normalmente e apareceu essa mensagem de "quebra de dependência" (pelo que entendi atualizaria o pacman, mas não o pode fazer). Ontem estava ok, a única coisa que instalei hoje cedo foi uma impressora HP 1102, mas não consigo relacionar essa instalação com a mensagem abaixo, por tudo correu ok, testei a impressora, imprimi paginas.
Vou buscar informações no site oficial, se alguém tiver uma idéia, uma luz, uma sugestão, minha gratidão.

Mensagem via terminal:

$ sudo pacman -Syyu
[sudo] senha para lcklinux:
:: Sincronizando a base de dados de pacotes...
core 133,4 KiB 1607K/s 00:00 [######################] 100%
extra 1644,9 KiB 1794K/s 00:01 [######################] 100%
community 4,9 MiB 2,16M/s 00:02 [######################] 100%
multilib 169,7 KiB 2,37M/s 00:00 [######################] 100%
:: Iniciando atualização completa do sistema...
resolvendo dependências...
procurando por pacotes conflitantes...
erro: falha ao preparar a transação (não foi possível satisfazer as dependências)
:: a instalação de pacman (5.2.0-2) quebra a dependência "pacman<=5.1.3" necessária por yay



  


2. MELHOR RESPOSTA

niquelnausea
niquelnausea

(usa Arch Linux)

Enviado em 23/10/2019 - 21:44h

o yay acabou por não disponibilizar uma versão intermediaria, funcional com o pacman 5.1 e 5.2. solução é desinstalar o yay, atualizar o sistema e reinstalar o yay, já que ele também já tem atualização e é compatível com o pacman 5.2.
não atualiza de forma forçada (parâmetro d) porque pode ter maiores problemas.

3. Re: Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebra a

Luck
LckLinux

(usa Debian)

Enviado em 23/10/2019 - 21:54h

Quebrando a cabeça aqui, tentei descobrir com "pacman -Qi " para ver a linha dessa dependência, encontrei isso (estou na dúvida se removendo Yay e reinstalando depois de atualizar o sistema eu consigo solucionar o erro:

Nome : yay
Versão : 9.3.3-1
Descrição : Yet another yogurt. Pacman wrapper and AUR helper written in go.
Arquitetura : x86_64
URL : https://github.com/Jguer/yay
Licenças : GPL
Grupos : Nenhum
Provê : Nenhum
Depende de : pacman>=5.1.0 pacman<=5.1.3 sudo git
Depend. opcionais : Nenhum
Necessário para : Nenhum
Opcional para : Nenhum
Conflita com : Nenhum
Substitui : Nenhum
Tamanho instalado : 6,36 MiB
Empacotador : Unknown Packager
Data da compilação : seg 21 out 2019 09:52:32 -03
Data de instalação : qua 23 out 2019 21:46:28 -03
Motivo da instalação : Instalado explicitamente
Script de instalação : Não
Validado por : Nenhum



4. Re: Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebra a

Luck
LckLinux

(usa Debian)

Enviado em 23/10/2019 - 22:13h

Niquel Nausea (novamente...), grato pela atenção. Fiz o que você sugeriu, mas tive que tirar a pasta "Yay" toda (removi somente com -R) para outro local (criei uma pasta), aí o pacman entendeu que não existia mais nada ligado a linha do yay e instalou do zero. Parece que funcionou, atualizei e devolvi o yay.

Vou verificar de novo e, conforme for, dou por "resolvido".

Grato.


5. Re: Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebra a

niquelnausea
niquelnausea

(usa Arch Linux)

Enviado em 23/10/2019 - 23:35h

...o que você quis dizer por mover a pasta para outro local? e devolver o yay?

era somente remover o yay, atualizar o sistema, baixar novamente o yay e construir o pacote com o makepkg. eram possiveis varias maneiras de se fazer isso, as mais simples
yay -G yay #baixar a nova versão do yay para compilar depois
pacman -R yay #remove o yay com problemas de compatibilidade
pacman -Syu
cd yay #diretório criado no primeiro passo
makepkg -sri #compila e instala o yay


pacman -R yay
pacman -Syu
git clone https://aur.archlinux.org/yay.git
cd yay
makepkg -sri


se moveu o diretório manualmente, pode gerar erros no gerenciador de pacotes.
outra observação, quando atualizar o sistema não use o yy duas vezes "pacman -Syyu", use apenas uma vez. desta forma, ajuda (muito) a diminuir a sobrecarga nos servidores.


6. Re: Procurando informações na rede para saber o que fazer... [a instalação de pacman (5.2.0-2) quebr

Luck
LckLinux

(usa Debian)

Enviado em 24/10/2019 - 18:14h

Então, eu quis dizer que removi o yay (# pacman -R yay). Mas, quando eu fui reinstalar (após atualizar o sistema normalmente) foi sinalizado que já havia uma pasta Yay (mesmo com a remoção). Movi ela (a pasta) para outro local e reinstalei (com o git) exatamente onde ela estava antes. Atualizei tudo e aparentemente funcionou (hoje, 24 hs depois, atualizei os sistema, "mesa, hplip, etc..." e correu tudo ok.
Pelo que você diz pode ocorrer, ainda, mais a frente, erros no gerenciamento de pacotes por eu ter reinstalado o yay desse modo??

Sim, obrigado pela dica de atualizar o sistema com -Syu ao invés de -Syyu (farei assim)






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts